#ifndef QUECTEL_3GPP_H
#define QUECTEL_3GPP_H
/* Includes ------------------------------------------------------------------*/
#include "celluar_comm.h"

#if QUECTEL > 0
#if CELLUAR_TCPIP_ENABLE > 0 || CELLUAR_SMS_ENABLE > 0
/* Exported types ------------------------------------------------------------*/


/* Exported functions --------------------------------------------------------*/
Celluar_ErrorStatus Quectel_GetCardStatus(void);
Celluar_ErrorStatus Quectel_GetSignal(unsigned char *pucRssi, unsigned char *pucBer);
Celluar_ErrorStatus Quectel_GetRegistrationStatus(void);
Celluar_ErrorStatus Quectel_GetCCID(char *pcCCID, unsigned long ulBufferLen);
Celluar_ErrorStatus Quectel_SetNetworkRegistrationMode(unsigned char ucMode);
Celluar_ErrorStatus Quectel_SetCOPSMode(unsigned char ucMode, unsigned char ucFormat);
#endif
#endif
#endif
