#ifndef SIMCOM_H
#define SIMCOM_H
/* Includes ------------------------------------------------------------------*/
#include "simcom_3gpp.h"
#include "simcom_tcpip.h"
#include "simcom_gnss.h"
#include "simcom_ntp.h"
#include "simcom_http.h"

#if SIMCOM > 0
/* Exported functions --------------------------------------------------------*/
void 			SIMCom_Poll(void);
void 			SIMCom_BasicSettings(void);
#if CELLUAR_TCPIP_ENABLE > 0
void 			SIMCom_TCPIPInit(unsigned long *pulRecommendedAPNIndex);
#endif
#if CELLUAR_NTP_ENABLE > 0
bool			SIMCom_SyncNetworkTime(Calendar *pxCalendar);
#endif
#if CELLUAR_HTTP_ENABLE > 0
bool 			SIMCom_HTTPPost(char *pcURL, unsigned char *pucPostData, unsigned long ulPostLen, unsigned char *pucResponse, unsigned long ulBufferLen, unsigned long *pulResLen, unsigned long *pulErr);
bool 			SIMCom_HTTPGet(char *pcURL, unsigned char *pucResponse, unsigned long ulBufferLen, unsigned long *pulRespLen, unsigned long *pulErr);
#endif
#endif
#endif

