#ifndef STACK_H
#define STACK_H
/* Includes ------------------------------------------------------------------*/
#include "common.h"

/* Exported macros -----------------------------------------------------------*/
// Stack of double type
typedef struct
{
	long 			lTop;
	double 			*pdArray;
	long 			lStackSize;
} Stack;

/* Exported functions --------------------------------------------------------*/
Stack		Stack_Create(long lStackSize);
void  		Stack_Release(Stack *pxStack);
void		Stack_Push(Stack *pxStack, double dData);
double 		Stack_Pop(Stack *pxStack);
double		Stack_Peek(Stack *pxStack);
bool		Stack_IsEmpty(Stack *pxStack);
#endif

