/**
 * @file WIT2FSM.h
 * @author your name (you@domain.com)
 * @brief 
 * @version 0.1
 * @date 2022-09-05
 * 
 * @copyright Copyright (c) 2022
 * 
 */

#ifndef __WIT2FSM_H
#define __WIT2FSM_H

#include "stdint.h"
#include "stdbool.h"
#include "GatewayFSM.h"

bool WIT2FSM_SensorStateGet(uint32_t addr, uint16_t *state);

bool WIT2FSM_SendError(void);
bool WIT2FSM_SendAmlVibAlarm(void);
bool WIT2FSM_SendHeartToServer(unsigned char groupId);
bool WIT2FSM_SendGatewayFeatureToServer(unsigned char groupId);
bool WIT2FSM_SendSensorFeatureToServer(unsigned char groupId, unsigned char ucSensorAddr);
bool WIT2FSM_SendWaveToServer(unsigned char groupId, unsigned char ucSensorAddr);
void WIT2FSM_MQTTPubHandler(bool bStatus);

bool WIT2FSM_DeviceRunCheck(void);
bool WIT2FSM_NeedSend(void);
bool WIT2FSM_StartCollect(void);
bool WIT2FSM_MotorSpeedSync(speedSyncFSM *fsm);

bool WIT2FSM_ClearVarible(void);

bool WIT2FSM_AmlVibCheck(void);
bool WIT2FSM_PT100Read(void);

bool WIT2FSM_MqttPub(unsigned char * s);
bool WIT2FSM_GetSpdSyncConfig(void);

#endif
