#include "debugFSM.h"
#include "stdbool.h"
#include "WIT2FSM.h"
#include "GatewayFSM.h"
#include "SensorFSM.h"
#include "string.h"
#include "stdio.h"

void debugFSMProcess(unsigned int *cmd)
{
    switch (*cmd)
    {
    case 1:
    {
        char s[256] = {0};
        gw_state_t state = xGatewayFSMStateGet();
        sen_state_t senStates[6] = {SEN_STATE_MAX};
        for (size_t i = 0; i < 6; i++)
        {
            senStates[i] = sensorStateGet(i);
        }

        sprintf(s, "{\"g1\":%d,\"s1\":%d,\"s2\":%d,\"s3\":%d,\"s4\":%d,\"s5\":%d,\"s6\":%d,\"f1\":%d,\"f2\":%d,\"f3\":%d,\"f4\":%d,\"f5\":%d,\"f6\":%d}", state,
                senStates[0], senStates[1], senStates[2], senStates[3], senStates[4], senStates[5],
                g_bFlagGwFeat, g_bFlagSenFeat, g_bFlagSenWave, g_bCanSendGatewayFeature, g_bCanSendSensorFeature, g_bCanSendWave);
        WIT2FSM_MqttPub((unsigned char *)s);
        *cmd = 0xff;
    }
    break;

    default:
        break;
    }
}
