#ifndef MQTT_UPDATE_H
#define MQTT_UPDATE_H
/* Includes ------------------------------------------------------------------*/
#include "common.h"
#include "update_config.h"

/* Exported types ------------------------------------------------------------*/
typedef enum
{
	Response_Null 		= 0,
	Response_Success 	= 1,
	Response_Error 		= 2,
	Response_Reset		= 3
} Update_ResponseStatus;

/* Exported functions --------------------------------------------------------*/
void                    mqtt_update_init(void);
void 					Update_GatewayHandler(char *pcGWUpdateString, unsigned long ulLen);
bool 					Update_GetStatus(void);
bool 					Update_GetGWStatus(void);
Update_ResponseStatus 	Update_Poll(unsigned char *pucCurrentPackageID);
#endif