#ifndef  __RTC_H__
#define  __RTC_H__
#include "driver/i2c.h"
#include "esp_err.h"
#include <time.h>

void pcf8563_init(i2c_port_t i2c_port);
void pcf8563_get_time(i2c_port_t i2c_port, struct tm *timeinfo);
void pcf8563_set_time(i2c_port_t i2c_port, struct tm *timeinfo);
void RTC_InternalSetTimeStamp(unsigned long timesample);
unsigned long RTC_InternalGetTimeStamp(void);

#endif
